Commit from LXDE Translation Project with Pootle by user DanWin.: 50 of 50 messages...
[lxde/lxtask.git] / configure.ac
CommitLineData
580e78c2 1AC_PREREQ([2.57])
b4cdfbff 2AC_INIT(lxtask,[0.1.4], [],lxtask)
580e78c2
HJYP
3AM_INIT_AUTOMAKE()
4AC_PROG_INTLTOOL(, [no-xml])
5AM_MAINTAINER_MODE
6
7AM_CONFIG_HEADER(config.h)
8
9AC_PROG_CC
10AC_PROG_INSTALL
11AM_PROG_CC_C_O
12
13dnl Check for UNIX variants
14AC_AIX()
15AC_ISC_POSIX()
910ae56d 16#AC_MINIX()
580e78c2
HJYP
17
18AC_HEADER_STDC()
19AC_CHECK_HEADERS([dirent.h pwd.h sys/types.h sys/stat.h sys/param.h \
20 stdio.h stdlib.h string.h unistd.h stdlib.h signal.h])
21
b4cdfbff 22AC_ARG_ENABLE(gtk3,
23[ --enable-gtk3 enable to use gtk-3.0 instead of gtk-2.0 ],
24[case "${enableval}" in
25 yes) enable_gtk3=yes ;;
20514680 26 *) enable_gtk3=no ;;
b4cdfbff 27esac],[])
28
20514680 29echo "x$enable_gtk3"
b4cdfbff 30if test "x$enable_gtk3" = "xyes" ; then
20514680 31 pkg_modules="gtk+-3.0 >= 3.0.0"
b4cdfbff 32else
20514680 33 pkg_modules="gtk+-2.0 >= 2.6.0"
b4cdfbff 34fi
35
20514680 36PKG_CHECK_MODULES(GTK, [$pkg_modules])
580e78c2
HJYP
37AC_SUBST(GTK_CFLAGS)
38AC_SUBST(GTK_LIBS)
39
40GETTEXT_PACKAGE=lxtask
41#AM_GNU_GETTEXT([external])
42AM_GNU_GETTEXT_VERSION(0.14.1)
43AC_SUBST(GETTEXT_PACKAGE)
44AC_DEFINE_UNQUOTED(GETTEXT_PACKAGE,"$GETTEXT_PACKAGE", [Gettext package.])
45
bfb67f2a
MB
46#These codes are NOT maintained by Pootle ca el en_GB lv sq
47ALL_LINGUAS="af ar ca cs da de el en_GB es et eu fa fi fr gl hr hu id it ja ko lt lv ml nb nl nn pl ps pt pt_BR ru sk sl sq sv tr uk ur ur_PK vi zh_CN zh_TW"
580e78c2
HJYP
48AM_GLIB_GNU_GETTEXT
49
50AC_OUTPUT([
51 Makefile
52 src/Makefile
53 po/Makefile.in
54])
55
56echo
57echo LXTask....................................... : Version $VERSION
58echo
59echo Prefix....................................... : $prefix
60echo
61echo The binary will be installed in $prefix/bin
62echo
3307ac17 63echo http://lxde.org/
580e78c2
HJYP
64echo
65echo Have fun!
66echo